idevicedevmodectl(1)

NAME
idevicedevmodectl - Enable Developer Mode on iOS 16+ devices or print the current status.

SYNOPSIS
idevicedevmodectl COMMAND [OPTIONS]

DESCRIPTION

Enable Developer Mode on iOS 16+ devices or print the current status.

NOTE
Passcode-protected devices will NOT allow enabling of Developer Mode from the command line. It has to be enabled on the device itself under Settings -> Privacy & Security -> Developer Mode. The enable command will try to enable it, and tell you if that's the case. If the menu is not shown, you may use the reveal command to reveal it.

COMMANDS

list
    Prints the Developer Mode status of all connected devices, or for a specific one if --udid is given.

enable
    Enable Developer Mode (device will reboot), and confirm it after device booted up again.

arm Arm the Developer Mode (device will reboot)

confirm
    Confirm enabling of Developer Mode

reveal
    Reveal the Developer Mode menu on the device under Settings -> Privacy & Security

OPTIONS

-u, --udid UDID
    target specific device by UDID

-n, --network
    connect to network device

-d, --debug
    enable communication debugging

-h, --help
    print usage information

-v, --version
    print version information

AUTHORS
Nikias Bassen

ON THE WEB
https://libimobiledevice.org

https://github.com/libimobiledevice/libimobiledevice